| Home | Libraries | People | FAQ | More

#### write (6 of 8 overloads)

Write all of the supplied data to a stream before returning.

    template<
        typename SyncWriteStream,
        typename Allocator>
    std::size_t write(
        SyncWriteStream & s,
        basic_streambuf< Allocator > & b,
        boost::system::error_code & ec);

This function is used to write a certain number of bytes of data to a stream. The call will block until one of the following conditions is true:

- All of the data in the supplied `basic_streambuf` has been written.
- An error occurred.

This operation is implemented in terms of zero or more calls to the stream's write_some function.

###### Parameters

s

  The stream to which the data is to be written. The type must support the SyncWriteStream concept.

b

  The `basic_streambuf` object from which data will be written.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes transferred.

###### Remarks

This overload is equivalent to calling:

    boost::asio::write(
        s, b,
        boost::asio::transfer_all(), ec);